# Legion

## Basic Information

- **Name**: Legion
- **Level**: 2
- **Race**: Warforged
- **Alignment**: Neutral Good
- **Background**: Soldier (Infantry)

## Appearance

Legion is a sleek, dexterous Warforged with a frame of rusted bronze and tarnished brass. His form is lean and angular, crafted for swift movements rather than brute strength, with exposed gears and lightweight armor plating worn from years of service. His eyes emit a steady, cool glow, suggesting a calculating mind. Slender yet durable limbs give him mechanical precision, as if each step is deliberate. Faint etchings on his chest hint at a long-forgotten unit designation, barely visible beneath the rust and battle scars.

## Personality Traits

- **Logical Lens**: Legion evaluates situations with a calculated, detached focus.
- **Obedient, by Choice**: Originally designed to follow commands, Legion now chooses who he deems fit to give orders, granting him a unique, autonomous sense of loyalty.

## Ability Scores (Standard Array)

| Ability      | Base | Total | Bonus     |
|--------------|------|-------|-----------------|
| **Strength** | 13   | 13    |                 |
| **Dexterity**| 15   | 15    |                 |
| **Constitution** | 10| 10    |                 |
| **Intelligence** | 12| 12    |                 |
| **Wisdom**    | 14   | 15    | +1 (Elven Accuracy) |
| **Charisma**  | 8    | 8     |                 |

### Hit Points

- **Hit Points at 1st Level**: 10 + Constitution modifier (0) = **10**
- **Hit Points at 2nd Level**: 10 + 6 (average of 1d10) + Constitution modifier (0) = **16**
- **Hit Points at 3rd Level**: 16 + 6 (average of 1d10) + Constitution modifier (0) = **22**
- **Hit Points at 4th Level**: 22 + 6 (average of 1d10) + Constitution modifier (0) = **28**
- **Hit Points at 5th Level**: 28 + 6 (average of 1d10) + Constitution modifier (0) = **34**
- **Total Hit Points**: **34** (10 + 6 + 6 + 6 + 6)
- **Hit Dice**: 5d10 (1d10 per fighter level)
- **Hit Points at Higher Levels**: 1d10 (or 6) + Constitution modifier (0) per fighter level after 1st

## Features

### Second Wind

At 1st level, Legion has a limited well of stamina that he can draw on to protect himself from harm. On his turn, he can use a bonus action to regain hit points equal to 1d10 + his fighter level (1). Once he uses this feature, he must finish a short or long rest before he can use it again.

## Proficiencies & Skills

- **Proficiencies**:
  - **Skills**: Perception, Intimidation
  - **Armor**: All armor, shields
  - **Weapons**: Simple weapons, martial weapons, firearms (Gunslinger-specific)
  - **Tools**: Tinker’s tools

- **Fighting Style**: Archery - Gain a +2 bonus to attack rolls made with ranged weapons.

---

## Level Progression

### Level 1

- **Fighting Style:** Archery
- **Proficiencies:** Perception, Intimidation

### Level 2

- **Action Surge:**
  - Starting at 2nd level, you can push yourself beyond your normal limits for a moment. On your turn, you can take one additional action.
  - Once you use this feature, you must finish a short or long rest before you can use it again. Starting at 17th level, you can use it twice before a rest, but only once on the same turn.

### Level 3

- **Martial Archetype: Gunslinger**
  - At 3rd level, you choose an archetype that you strive to emulate in your combat styles and techniques. You have chosen the **Gunslinger**, which grants you the following features:

  - **Firearm Proficiency:**
    - You gain proficiency with firearms, allowing you to add your proficiency bonus to attacks made with firearms.

  - **Gunsmith:**
    - You gain proficiency with Tinker’s Tools. You can use them to craft ammunition at half the cost, repair damaged firearms, or even draft and create new ones (DM’s discretion). Some extremely experimental and intricate firearms are only available through crafting.

  - **Firearm Properties:**
    - Firearms are a new and volatile technology, bringing unique weapon properties:
      - **Reload:** The weapon can be fired a number of times equal to its Reload score before needing to be reloaded (requires one free hand).
      - **Misfire:** If your attack roll is equal to or lower than the weapon’s Misfire score, the weapon misfires and cannot be used again until repaired (requires a successful Tinker’s Tools check).
      - ~~**Explosive:** Upon a hit, targets within 5 ft must make a Dexterity saving throw (DC = 8 + proficiency bonus + Dexterity modifier) or suffer 1d8 fire damage.~~

        > **Note:** The explosive rule is ignored in this campaign.

  - **Ammunition:**
    - Firearms require specific ammunition, generally sold or crafted in batches. You can craft ammunition using Tinker’s Tools at half the cost.

  - **Firearms Overview:**

    | Name        | Cost  | Ammo      | Damage       | Weight | Range       | Properties                     |
    |-------------|-------|-----------|--------------|--------|-------------|--------------------------------|
    | Palm Pistol | 50g   | 2g (20)   | 1d8 piercing  | 1 lb.  | (40/160)    | Light, reload 1, misfire 1     |
    | Pistol      | 150g  | 4g (20)   | 1d10 piercing | 3 lb.  | (60/240)    | Reload 4, misfire 1            |
    | Musket      | 300g  | 5g (20)   | 1d12 piercing | 10 lb. | (120/480)   | Two-handed, reload 1, misfire 2 |
    | Pepperbox   | 250g  | 4g (20)   | 1d10 piercing | 5 lb.  | (80/320)    | Reload 6, misfire 2            |
    | Blunderbuss | 300g  | 5g (5)    | 2d8 piercing  | 10 lb. | (15/60)     | Reload 1, misfire 2            |
    | Bad News    | Crafted| 10g (5)  | 2d12 piercing | 25 lb. | (200/800)   | Two-handed, reload 1, misfire 3 |
    | Hand Mortar | Crafted| 10g (1)  | 2d8 fire      | 10 lb. | (30/60)     | Reload 1, misfire 3, explosive |

  - **Adept Marksman:**
    - You learn to perform powerful trick shots to disable or damage your opponents using your firearms:
      - **Trick Shots:** You learn two trick shots of your choice, which enhance your attacks. You can use only one trick shot per attack and must declare it before the attack roll. The trick shots you choose at this level are:
        - **Deadeye Shot:** Expend one grit point to gain advantage on the attack roll.
        - **Forceful Shot:** Expend one grit point to attempt to trip the target. On a hit, the target suffers normal damage and must succeed on a Strength saving throw or be pushed 15 feet away.
        - **Violent Shot:** Expend one or more grit points to enhance volatility. For each grit point expended, the attack gains a +2 to the firearm’s misfire score. If it hits, roll one additional weapon damage die per grit point spent.
        - **Winging Shot:** Expend one grit point to attempt to knock a target prone. On a hit, the target suffers normal damage and must make a Strength saving throw or be knocked prone.

      - **Grit:** You gain grit points equal to your Wisdom modifier (minimum of 1). Regain 1 expended grit point for rolling a 20 on an attack with a firearm or dealing a killing blow. All expended grit points are regained after a short or long rest.

      - **Trick Shot Save DC:** Calculated as 8 + your proficiency bonus + your Dexterity modifier.

Here’s the updated entry for the 4th level of your Fighter, including the Ability Score Improvement and the choice of the Elven Accuracy feat:

### Level Progression: Level 4

- **Ability Score Improvement**:
  - At 4th level, you can increase one ability score of your choice by 2, or you can increase two ability scores of your choice by 1. As normal, you can’t increase an ability score above 20 using this feature. Using the optional feats rule, you can forgo taking this feature to take a feat of your choice instead.

- **Chosen Feat**: **Elven Accuracy**
  - The accuracy of elves is legendary, especially that of elf archers and spellcasters. You have uncanny aim with attacks that rely on precision rather than brute force. You gain the following benefits:
    - Increase your Dexterity, Intelligence, Wisdom, or Charisma score by 1, to a maximum of 20.
    - Whenever you have advantage on an attack roll using Dexterity, Intelligence, Wisdom, or Charisma, you can reroll one of the dice once.

- **Wisdom Score**: +1

### Level 5 Features

- **Extra Attack**: Beginning at 5th level, you can attack twice, instead of once, whenever you take the Attack action on your turn. The number of attacks increases to three when you reach 11th level in this class and to four when you reach 20th level in this class.
